httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jor...@apache.org
Subject svn commit: r1879441 - in /httpd/httpd/trunk: .travis.yml test/travis_run_linux.sh
Date Thu, 02 Jul 2020 13:31:30 GMT
Author: jorton
Date: Thu Jul  2 13:31:30 2020
New Revision: 1879441

URL: http://svn.apache.org/viewvc?rev=1879441&view=rev
Log:
Add additional test suite runs for the prefork & event pool-debug builds:
- run with SSLSessionCache defined (after r1879430)
- run with "SSLProtocol TLSv1.2"

Modified:
    httpd/httpd/trunk/.travis.yml
    httpd/httpd/trunk/test/travis_run_linux.sh

Modified: httpd/httpd/trunk/.travis.yml
URL: http://svn.apache.org/viewvc/httpd/httpd/trunk/.travis.yml?rev=1879441&r1=1879440&r2=1879441&view=diff
==============================================================================
--- httpd/httpd/trunk/.travis.yml (original)
+++ httpd/httpd/trunk/.travis.yml Thu Jul  2 13:31:30 2020
@@ -228,17 +228,17 @@ jobs:
            CONFIG="--enable-mods-shared=reallyall"
            TEST_MALLOC=1
     # -------------------------------------------------------------------------
-    - name: Linux Ubuntu, Shared MPMs (event), pool-debug
+    - name: Linux Ubuntu, Shared MPMs (event), pool-debug, SSL/TLS variants
       env: APR_VERSION=1.7.0 APR_CONFIG="--enable-pool-debug"
            APU_VERSION=1.6.1 APU_CONFIG="--with-crypto --with-ldap"
            CONFIG="--enable-mods-shared=reallyall --enable-mpms-shared=all --with-mpm=event"
-           TEST_MALLOC=1
+           TEST_MALLOC=1 TEST_SSL=1
     # -------------------------------------------------------------------------
-    - name: Linux Ubuntu, Shared MPMs (prefork), pool-debug
+    - name: Linux Ubuntu, Shared MPMs (prefork), pool-debug, SSL/TLS variants
       env: APR_VERSION=1.7.0 APR_CONFIG="--enable-pool-debug"
            APU_VERSION=1.6.1 APU_CONFIG="--with-crypto --with-ldap"
            CONFIG="--enable-mods-shared=reallyall --enable-mpms-shared=all --with-mpm=prefork"
-           TEST_MALLOC=1
+           TEST_MALLOC=1 TEST_SSL=1
     # -------------------------------------------------------------------------
     - name: Linux Ubuntu, APR 1.7.0, APR-util 1.6.1, pool-debug, LDAP
       env: APR_VERSION=1.7.0 APR_CONFIG="--enable-pool-debug"

Modified: httpd/httpd/trunk/test/travis_run_linux.sh
URL: http://svn.apache.org/viewvc/httpd/httpd/trunk/test/travis_run_linux.sh?rev=1879441&r1=1879440&r2=1879441&view=diff
==============================================================================
--- httpd/httpd/trunk/test/travis_run_linux.sh (original)
+++ httpd/httpd/trunk/test/travis_run_linux.sh Thu Jul  2 13:31:30 2020
@@ -73,7 +73,21 @@ if ! test -v SKIP_TESTING; then
             RV=$?
         popd
     fi
-    if test -v LITMUS; then
+
+    if test -v TEST_SSL -a $RV -eq 0; then
+        pushd test/perl-framework
+            # A test suite run with SSLSessionCache defined (see t/conf/ssl.conf.in)
+            ./t/TEST -defines TEST_SSL_SESSCACHE t/ssl
+            RV=$?
+            if test $RV -eq 0; then
+                # A test suite run with "SSLProtocol TLSv1.2" (see t/conf/ssl.conf.in)
+                ./t/TEST -sslproto TLSv1.2 t/ssl
+                RV=$?
+            fi
+        popd
+    fi
+
+    if test -v LITMUS -a $RV -eq 0; then
         pushd test/perl-framework
            mkdir -p t/htdocs/modules/dav
            ./t/TEST -start



Mime
View raw message